﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Printing;

namespace Print
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            PrintDocument objDoc = new PrintDocument();
            objDoc.DocumentName = "Documento de prueba";
            objDoc.PrintPage += (s, args) =>
            {
                args.PageVisual = this;
            };
            objDoc.EndPrint += (s, args) =>
            {
                if (args.Error != null)
                    MessageBox.Show(args.Error.Message, "ERROR", MessageBoxButton.OK);
            };
            objDoc.Print();
        }
    }
}
